All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters.tree
Class OLAPFilterToLogicTreeTransform

    com.sas.dataselectors.filters.tree.OLAPFilterToLogicTreeTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class OLAPFilterToLogicTreeTransform

implements com.sas.util.transforms.TransformInterface

TODO JavaDoc this class

See Also:
  Serialized Form

Constructor Summary
`OLAPFilterToLogicTreeTransform()`
`OLAPFilterToLogicTreeTransform(FilterObjectFactoryInterface factory)`
`OLAPFilterToLogicTreeTransform(FilterObjectFactoryInterface factory, FilterItemListInterface filterItemList)`

Method Summary
`com.sas.iquery.metadata.business.DataItem` | `getDataItem()`
`FilterObjectFactoryInterface` | `getFactory()`
`FilterItemListInterface` | `getFilterItemList()`
`void` | `setDataItem(com.sas.iquery.metadata.business.DataItem dataItem)`
`void` | `setFactory(FilterObjectFactoryInterface factory)`
`void` | `setFilterItemList(FilterItemListInterface filterItemList)`
`java.lang.Object` | `transform(java.lang.Object o)` Transforms the given object into a DefaultFilterLogicTree instance.

Constructor Detail

### OLAPFilterToLogicTreeTransform

    public OLAPFilterToLogicTreeTransform()

### OLAPFilterToLogicTreeTransform

    public OLAPFilterToLogicTreeTransform(FilterObjectFactoryInterface factory)

### OLAPFilterToLogicTreeTransform

    public OLAPFilterToLogicTreeTransform(FilterObjectFactoryInterface factory,
                                          FilterItemListInterface filterItemList)

Method Detail

### getFactory

    public FilterObjectFactoryInterface getFactory()

  Returns:

### setFactory

    public void setFactory(FilterObjectFactoryInterface factory)

  Parameters:
    `factory` -

### getFilterItemList

    public FilterItemListInterface getFilterItemList()

  Returns:

### setFilterItemList

    public void setFilterItemList(FilterItemListInterface filterItemList)

  Parameters:
    `factory` -

### getDataItem

    public com.sas.iquery.metadata.business.DataItem getDataItem()

  Returns:

### setDataItem

    public void setDataItem(com.sas.iquery.metadata.business.DataItem dataItem)

  Parameters:
    `dataItem` -

### transform

    public java.lang.Object transform(java.lang.Object o)
                               throws com.sas.util.transforms.TransformException

  Transforms the given object into a DefaultFilterLogicTree instance.

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Returns:
    a new DefaultFilterLogicTree representing the specified filter step
  Throws:
    `com.sas.util.transforms.TransformException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.